<?php
/***************************************************************
*
* Cookie-Plugin für moziloCMS 1.12 und 2.0.
* Details: https://www.mbm-webdesign.de/cookie-hinweis-script
* Autor: Hartmut Blumrich https://www.blumrich.de
*
* Stellt das Tag {COOKIE} zur Verfügung (ohne externe Anbieter von JS), das ins Template eingefügt werden kann.
* Das Tag kann innerhalb body (div beachten) eingebaut werden. In den Einstellungen kann die Anzahl der Tage - Gltigkeit
* des Cookies - angegeben werden. Bei 0 Tage wird der Hinweis immer wieder angezeigt. Die CSS kann angepasst werden.
*
*
***************************************************************/

class COOKIE extends Plugin {


// ------------------------------------------------------------------------------
// Anzeige Cookiehinweis
// ------------------------------------------------------------------------------
    function getContent($value) {

    # Anzahl der Tage, in der der Hinweis nicht mehr angezeigt wird.
    if ($this->settings->get("number_of_days") == true) {
     $days = $this->settings->get("number_of_days");
     }else {
     $days = 0;
     }

    $page = $this->settings->get("data_protection_page");
    $cat = $this->settings->get("kategorie");
    $button = $this->settings->get("button_name");
    $message = $this->settings->get("cookie_text");
    $link_text = $this->settings->get("data_protection_page_link_text");

    $mbm = "
    <!-- Cookie Banner Script Start -->
    <!-- https://www.mbm-webdesign.de/cookie-hinweis-script/ -->
 <div id=\"mbmcookie\">

  <a onClick=\"var d = new Date(); d = new Date(d.getTime() +1000*60*60*24*$days);
  document.cookie = 'mbmcookie=1; expires='+ d.toGMTString() + ';';
  document.getElementById('mbmcookie').style.display = 'none';\" class=\"button\">$button</a>

  <p class=\"cookiemessage\">$message

  <a href=\"./index.php?cat=$cat&page=$page\">$link_text</a></p>

 </div>
    <script type=\"text/javascript\">

    a = document.cookie;while(a != ''){while(a.substr(0,1) == ' '){a = a.substr(1,a.length);}cn = a.substring(0,a.indexOf('='));if(a.indexOf(';') != -1){cw = a.substring(a.indexOf('=')+1,a.indexOf(';'));}else{cw = a.substr(a.indexOf('=')+1,a.length);}if(cn == 'mbmcookie'){r = cw;}i = a.indexOf(';')+1;if(i == 0){i = a.length}a = a.substring(i,a.length);}if(r == '1') document.getElementById('mbmcookie').style.display = 'none';

    </script>
    <!-- Cookie Banner Script End -->
    ";
    return $mbm;

    } // function getContent


    /***************************************************************
    *
    * Gibt die Konfigurationsoptionen als Array zurück.
    * Ist keine Konfiguration nötig, ist dieses Array leer.
    *
    ***************************************************************/
    function getConfig() {
        global $ADMIN_CONF;

        $language = $ADMIN_CONF->get("language");
        $config['deDE'] = array();
        $config['deDE']['kategorie']  = array(
            "type" => "text",                           // Pflicht:  Eingabetyp
            "description" => "Kategorie in der die<br />Datenschutzseite steht",     // Pflicht:  Beschreibung
            "maxlength" => "100",                       // optional: maximale Länge
            "size" => "30"                             // optional: dargestellte Zeichen

        );
        $config['deDE']['data_protection_page']  = array(
            "type" => "text",                           // Pflicht:  Eingabetyp
            "description" => "Name der Datenschutzseite",     // Pflicht:  Beschreibung
            "maxlength" => "100",                       // optional: maximale Länge
            "size" => "30"                             // optional: dargestellte Zeichen

        );
        $config['deDE']['cookie_text']  = array(
            "type" => "textarea",                           // Pflicht:  Eingabetyp
            "description" => "Hinweistext",             // Pflicht:  Beschreibung
            "maxlength" => "100",                       // optional: maximale Länge
            "size" => "50"                             // optional: dargestellte Zeichen

        );
        $config['deDE']['button_name']  = array(
            "type" => "text",                           // Pflicht:  Eingabetyp
            "description" => "Buttonname",     // Pflicht:  Beschreibung
            "maxlength" => "100",                       // optional: maximale Länge
            "size" => "30"                             // optional: dargestellte Zeichen

        );
        $config['deDE']['data_protection_page_link_text']  = array(
            "type" => "text",                           // Pflicht:  Eingabetyp
            "description" => "Aufruftext zur Datenschutzseite",     // Pflicht:  Beschreibung
            "maxlength" => "100",                       // optional: maximale Länge
            "size" => "30"                             // optional: dargestellte Zeichen

        );
      $config['deDE']['number_of_days']  = array(
            "type" => "text",
            "description" => "Anzahl der Tage, in der der Hinweis<br />nicht mehr angezeigt wird.",
            "maxlength" => "10",
            "size" => "10",
            "regex" => "/^[\d+]+$/",                   // optional: Erlaubte Werte als Zahlen
            "regex_error" => "Bitte geben Sie eine Zahl ein."
        );
        if(isset($config[$language])) {
            return $config[$language];
        } else {
            return $config['deDE'];
        }

    }

    /***************************************************************
    *
    * Gibt die Plugin-Infos als Array zurück - in dieser
    * Reihenfolge:
    *   - Name und Version des Plugins
    *   - für moziloCMS-Version
    *   - Kurzbeschreibung
    *   - Name des Autors
    *   - Download-URL
    *   - Platzhalter für die Selectbox
    *
    ***************************************************************/
    function getInfo() {
        global $ADMIN_CONF;
        $language = $ADMIN_CONF->get("language");
        # nur eine Sprache ---------------------------------
        $info['deDE'] = array(
            // Plugin-Name + Version
            "<b>Cookiehinweis 09.03.2019</b>",
            // moziloCMS-Version
            "1.12 und 2.0",
            // Kurzbeschreibung nur <span> und <br /> sind erlaubt
            "Stellt das Tag {COOKIE} zur Verfügung (ohne externe Anbieter von JS),<br />das ins Template eingefügt werden kann.<br />Das Tag kann innerhalb body (div beachten) eingebaut werden.<br /><br />In den Einstellungen kann die Anzahl der Tage - Gültigkeit des Cookies - angegeben werden.<br />Bei 0 Tage wird der Hinweis immer wieder angezeigt.",
            // Name des Autors
            "Hartmut Blumrich",
            // Download-URL
            "http://www.blumrich.de",
            // Platzhalter für die Selectbox in der Editieransicht
            // - ist das Array leer, erscheint das Plugin nicht in der Selectbox
            array(
                '{COOKIE}' => "Platzhalter im Template",

            )
        );
        // Rückgabe der Infos.
        // Auch hier könnte man die Inhalte natürlich von der aktuell im Admin eingestellten
        // Sprache abhängig machen - siehe getConfig().
        return $info['deDE'];

    } // function getInfo

} // class COOKIE

?>